﻿using BlazorPro.BlazorSize;
using Microsoft.AspNetCore.Components.WebAssembly.Hosting;
using Microsoft.Extensions.DependencyInjection;
using System;
using System.Net.Http;
using System.Threading.Tasks;

namespace TelerikBlazorApp1.Client
{
    public class Program
    {
        public static async Task Main(string[] args)
        {
            var builder = WebAssemblyHostBuilder.CreateDefault(args);
            builder.RootComponents.Add<App>("#app");
            builder.Services.AddTransient(sp => new HttpClient { BaseAddress = new Uri(builder.HostEnvironment.BaseAddress) });

            builder.Services.AddResizeListener(options =>
            {
                options.ReportRate = 300;
                options.EnableLogging = false;
                options.SuppressInitEvent = false;
            });
            builder.Services.AddTelerikBlazor();

            await builder.Build().RunAsync();
        }
    }
}
